Subject: [Bier] [bier] [bess] Comments on draft-ietf-bier-mvpn

From: Xiejingrong <[email-masked]>
Date: Fri, 2 Feb 2018 07:47:11 +0000

Hi, Authors:

I have a question about <draft-ietf-bier-mvpn-09>: whether we can leverage LIR-pF in segmented tunnels scenario, to get a better multicast join latency ?

This draft states that Segmented P-tunnels require per-flow vpnlabel, so have to use S-PMSI(S,G) AD routes to carry such per-flow vpnLabel.

Obviously, this will result in an increase in the number of routes, and more importantly an increase in multicast join latency, comparing to the case of Non-Segmented P-tunnels using LIR-pF.

My consideration is , When all segments are type of BIER (greenfield), Is it possible to use a Per-vpn VpnLabel, and use LIR-pF for efficiently explicit tracking ? like below:

Topo: [SRC--IngressPE--ABR--EgressPE--RCV]
1) Use I-PMSI route with PTA<type=BIER, VpnLabel> and S-PMSI(*,*) route with PTA <type=NonTnlInfo, Flag=LIR-pF>, to advertise the Per-vpn Label, and collect all the per-flow Leaf AD.
2) Or use a S-PMSI(*,*) route with PTA <type=BIER, VpnLabel, Flag=LIR-pF>, and Let ABR to re-generate a S-PMSI(*,*) route with PTA <type = BIER, VpnLabel,  Flag=LIR-pF> to EgressPEs.

Through have got a nice clarification from Eirc about <draft-ietf-bess-mvpn-expl-track>, I found that this question still in my mind :-)

Regards.
XieJingrong